Get API-created crypto transactions for one wallet. Required scope: crypto-transaction:read.
Authorization
oauth2ClientCredentials crypto-transaction:readAuthorizationBearer <token>
Use your OAuth client credentials to obtain a short-lived Bearer token from POST /oauth/token.
In: header
Scope: crypto-transaction:read
Path Parameters
walletId*string
The crypto wallet ID.
Query Parameters
customer_id?string
Filter transactions by customer ID.
status?string
Value in
- "processing"
- "successful"
- "failed"
type?string
Value in
- "payout"
- "swap"
direction?string
Value in
- "in"
- "out"
start_date?string
Format
dateend_date?string
Format
datesearch_term?string
per_page?integer
Range
1 <= value <= 100Default
10Response Body
application/json
List crypto wallet transactions
curl --request GET \ --url 'https://example.com/api/external/crypto/wallets/string/transactions'{ "data": [ { "id": "transaction-id", "wallet_id": "wallet-id", "customer_id": "customer-id", "type": "payout", "status": "processing", "reference": "CRYPTO-REF", "currency": "USDC", "amount": "100.000000", "fee": "1.000000", "net_amount": "99.000000", "balance_change": "-100.000000", "target_currency": "USDC", "target_amount": "99.000000", "rate": "1.00000000", "address": "0x742d35Cc6634C0532925a3b844Bc9e7595f6E123", "network": "ETHEREUM_MAINNET", "transaction_hash": null, "counterparty_transaction_id": null, "counterparty_transaction": null, "fiat_transaction_id": null, "fiat_transaction": null, "created_at": "2026-08-12T20:00:00.000000Z", "updated_at": "2026-08-12T20:00:00.000000Z" } ], "current_page": 1, "per_page": 10, "total": 1}GETList crypto wallet addresses
Get deposit addresses for one business crypto wallet. To get the addresses for one customer, use the optional `customer_id` query parameter. Required scope: `crypto-wallet:read`.
GETList crypto transactions
Get API-created crypto transactions for your business. Required scope: `crypto-transaction:read`.